<?php
$tdatakardex_pago_bio = array();
$tdatakardex_pago_bio[".searchableFields"] = array();
$tdatakardex_pago_bio[".ShortName"] = "kardex_pago_bio";
$tdatakardex_pago_bio[".OwnerID"] = "";
$tdatakardex_pago_bio[".OriginalTable"] = "pago_dp";


$tdatakardex_pago_bio[".pagesByType"] = my_json_decode( "{\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatakardex_pago_bio[".originalPagesByType"] = $tdatakardex_pago_bio[".pagesByType"];
$tdatakardex_pago_bio[".pages"] = types2pages( my_json_decode( "{\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatakardex_pago_bio[".originalPages"] = $tdatakardex_pago_bio[".pages"];
$tdatakardex_pago_bio[".defaultPages"] = my_json_decode( "{\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatakardex_pago_bio[".originalDefaultPages"] = $tdatakardex_pago_bio[".defaultPages"];

//	field labels
$fieldLabelskardex_pago_bio = array();
$fieldToolTipskardex_pago_bio = array();
$pageTitleskardex_pago_bio = array();
$placeHolderskardex_pago_bio = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelskardex_pago_bio["Spanish"] = array();
	$fieldToolTipskardex_pago_bio["Spanish"] = array();
	$placeHolderskardex_pago_bio["Spanish"] = array();
	$pageTitleskardex_pago_bio["Spanish"] = array();
	$fieldLabelskardex_pago_bio["Spanish"]["derecho_Propietario"] = "Derecho Propietario";
	$fieldToolTipskardex_pago_bio["Spanish"]["derecho_Propietario"] = "";
	$placeHolderskardex_pago_bio["Spanish"]["derecho_Propietario"] = "";
	$fieldLabelskardex_pago_bio["Spanish"]["accionista"] = "Accionista";
	$fieldToolTipskardex_pago_bio["Spanish"]["accionista"] = "";
	$placeHolderskardex_pago_bio["Spanish"]["accionista"] = "";
	$fieldLabelskardex_pago_bio["Spanish"]["estado"] = "Estado";
	$fieldToolTipskardex_pago_bio["Spanish"]["estado"] = "";
	$placeHolderskardex_pago_bio["Spanish"]["estado"] = "";
	$fieldLabelskardex_pago_bio["Spanish"]["id_Pago"] = "Id Pago";
	$fieldToolTipskardex_pago_bio["Spanish"]["id_Pago"] = "";
	$placeHolderskardex_pago_bio["Spanish"]["id_Pago"] = "";
	$fieldLabelskardex_pago_bio["Spanish"]["fecha_Pago"] = "Fecha Pago";
	$fieldToolTipskardex_pago_bio["Spanish"]["fecha_Pago"] = "";
	$placeHolderskardex_pago_bio["Spanish"]["fecha_Pago"] = "";
	$fieldLabelskardex_pago_bio["Spanish"]["tipo_pago"] = "Tipo Pago";
	$fieldToolTipskardex_pago_bio["Spanish"]["tipo_pago"] = "";
	$placeHolderskardex_pago_bio["Spanish"]["tipo_pago"] = "";
	$fieldLabelskardex_pago_bio["Spanish"]["respaldo"] = "Respaldo";
	$fieldToolTipskardex_pago_bio["Spanish"]["respaldo"] = "";
	$placeHolderskardex_pago_bio["Spanish"]["respaldo"] = "";
	$fieldLabelskardex_pago_bio["Spanish"]["responsable"] = "Responsable Pago";
	$fieldToolTipskardex_pago_bio["Spanish"]["responsable"] = "";
	$placeHolderskardex_pago_bio["Spanish"]["responsable"] = "";
	$fieldLabelskardex_pago_bio["Spanish"]["fecha_creacion"] = "Fecha Creacion";
	$fieldToolTipskardex_pago_bio["Spanish"]["fecha_creacion"] = "";
	$placeHolderskardex_pago_bio["Spanish"]["fecha_creacion"] = "";
	$fieldLabelskardex_pago_bio["Spanish"]["observacion"] = "Observacion";
	$fieldToolTipskardex_pago_bio["Spanish"]["observacion"] = "";
	$placeHolderskardex_pago_bio["Spanish"]["observacion"] = "";
	$fieldLabelskardex_pago_bio["Spanish"]["nro_Acciones"] = "Nro Acciones";
	$fieldToolTipskardex_pago_bio["Spanish"]["nro_Acciones"] = "";
	$placeHolderskardex_pago_bio["Spanish"]["nro_Acciones"] = "";
	$fieldLabelskardex_pago_bio["Spanish"]["total_bs"] = "Total Bs";
	$fieldToolTipskardex_pago_bio["Spanish"]["total_bs"] = "";
	$placeHolderskardex_pago_bio["Spanish"]["total_bs"] = "";
	$fieldLabelskardex_pago_bio["Spanish"]["total_bs_literal"] = "Total Bs Literal";
	$fieldToolTipskardex_pago_bio["Spanish"]["total_bs_literal"] = "";
	$placeHolderskardex_pago_bio["Spanish"]["total_bs_literal"] = "";
	$fieldLabelskardex_pago_bio["Spanish"]["utilidad_gestion"] = "Utilidad Gestion";
	$fieldToolTipskardex_pago_bio["Spanish"]["utilidad_gestion"] = "";
	$placeHolderskardex_pago_bio["Spanish"]["utilidad_gestion"] = "";
	$fieldLabelskardex_pago_bio["Spanish"]["id_constitucion"] = "Id Constitucion";
	$fieldToolTipskardex_pago_bio["Spanish"]["id_constitucion"] = "";
	$placeHolderskardex_pago_bio["Spanish"]["id_constitucion"] = "";
	$fieldLabelskardex_pago_bio["Spanish"]["gestion"] = "Gestion a Pagar";
	$fieldToolTipskardex_pago_bio["Spanish"]["gestion"] = "";
	$placeHolderskardex_pago_bio["Spanish"]["gestion"] = "";
	$fieldLabelskardex_pago_bio["Spanish"]["nro_derecho"] = "Nro Derecho Propietario";
	$fieldToolTipskardex_pago_bio["Spanish"]["nro_derecho"] = "";
	$placeHolderskardex_pago_bio["Spanish"]["nro_derecho"] = "";
	$fieldLabelskardex_pago_bio["Spanish"]["socio"] = "Socio";
	$fieldToolTipskardex_pago_bio["Spanish"]["socio"] = "";
	$placeHolderskardex_pago_bio["Spanish"]["socio"] = "";
	$fieldLabelskardex_pago_bio["Spanish"]["correlativo_pago"] = "Correlativo Pago";
	$fieldToolTipskardex_pago_bio["Spanish"]["correlativo_pago"] = "";
	$placeHolderskardex_pago_bio["Spanish"]["correlativo_pago"] = "";
	$fieldLabelskardex_pago_bio["Spanish"]["ano"] = "Periodo";
	$fieldToolTipskardex_pago_bio["Spanish"]["ano"] = "";
	$placeHolderskardex_pago_bio["Spanish"]["ano"] = "";
	if (count($fieldToolTipskardex_pago_bio["Spanish"]))
		$tdatakardex_pago_bio[".isUseToolTips"] = true;
}


	$tdatakardex_pago_bio[".NCSearch"] = true;



$tdatakardex_pago_bio[".shortTableName"] = "kardex_pago_bio";
$tdatakardex_pago_bio[".nSecOptions"] = 0;

$tdatakardex_pago_bio[".mainTableOwnerID"] = "";
$tdatakardex_pago_bio[".entityType"] = 1;
$tdatakardex_pago_bio[".connId"] = "bsn_dividendos_at_localhost";


$tdatakardex_pago_bio[".strOriginalTableName"] = "pago_dp";

	



$tdatakardex_pago_bio[".showAddInPopup"] = false;

$tdatakardex_pago_bio[".showEditInPopup"] = false;

$tdatakardex_pago_bio[".showViewInPopup"] = false;

$tdatakardex_pago_bio[".listAjax"] = false;
//	temporary
//$tdatakardex_pago_bio[".listAjax"] = false;

	$tdatakardex_pago_bio[".audit"] = true;

	$tdatakardex_pago_bio[".locking"] = true;


$pages = $tdatakardex_pago_bio[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatakardex_pago_bio[".edit"] = true;
	$tdatakardex_pago_bio[".afterEditAction"] = 2;
	$tdatakardex_pago_bio[".closePopupAfterEdit"] = 1;
	$tdatakardex_pago_bio[".afterEditActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_ADD] ) {
$tdatakardex_pago_bio[".add"] = true;
$tdatakardex_pago_bio[".afterAddAction"] = 2;
$tdatakardex_pago_bio[".closePopupAfterAdd"] = 1;
$tdatakardex_pago_bio[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdatakardex_pago_bio[".list"] = true;
}



$tdatakardex_pago_bio[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatakardex_pago_bio[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatakardex_pago_bio[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatakardex_pago_bio[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatakardex_pago_bio[".printFriendly"] = true;
}



$tdatakardex_pago_bio[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatakardex_pago_bio[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatakardex_pago_bio[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatakardex_pago_bio[".isUseAjaxSuggest"] = true;



																																																																																																																																																																		

$tdatakardex_pago_bio[".ajaxCodeSnippetAdded"] = false;

$tdatakardex_pago_bio[".buttonsAdded"] = false;

$tdatakardex_pago_bio[".addPageEvents"] = true;

// use timepicker for search panel
$tdatakardex_pago_bio[".isUseTimeForSearch"] = false;


$tdatakardex_pago_bio[".badgeColor"] = "6da5c8";


$tdatakardex_pago_bio[".allSearchFields"] = array();
$tdatakardex_pago_bio[".filterFields"] = array();
$tdatakardex_pago_bio[".requiredSearchFields"] = array();

$tdatakardex_pago_bio[".googleLikeFields"] = array();
$tdatakardex_pago_bio[".googleLikeFields"][] = "id_Pago";
$tdatakardex_pago_bio[".googleLikeFields"][] = "fecha_Pago";
$tdatakardex_pago_bio[".googleLikeFields"][] = "derecho_Propietario";
$tdatakardex_pago_bio[".googleLikeFields"][] = "accionista";
$tdatakardex_pago_bio[".googleLikeFields"][] = "estado";
$tdatakardex_pago_bio[".googleLikeFields"][] = "tipo_pago";
$tdatakardex_pago_bio[".googleLikeFields"][] = "respaldo";
$tdatakardex_pago_bio[".googleLikeFields"][] = "responsable";
$tdatakardex_pago_bio[".googleLikeFields"][] = "fecha_creacion";
$tdatakardex_pago_bio[".googleLikeFields"][] = "observacion";
$tdatakardex_pago_bio[".googleLikeFields"][] = "total_bs";
$tdatakardex_pago_bio[".googleLikeFields"][] = "total_bs_literal";
$tdatakardex_pago_bio[".googleLikeFields"][] = "nro_Acciones";
$tdatakardex_pago_bio[".googleLikeFields"][] = "utilidad_gestion";
$tdatakardex_pago_bio[".googleLikeFields"][] = "id_constitucion";
$tdatakardex_pago_bio[".googleLikeFields"][] = "socio";
$tdatakardex_pago_bio[".googleLikeFields"][] = "gestion";
$tdatakardex_pago_bio[".googleLikeFields"][] = "nro_derecho";
$tdatakardex_pago_bio[".googleLikeFields"][] = "correlativo_pago";
$tdatakardex_pago_bio[".googleLikeFields"][] = "ano";



$tdatakardex_pago_bio[".tableType"] = "list";

$tdatakardex_pago_bio[".printerPageOrientation"] = 0;
$tdatakardex_pago_bio[".nPrinterPageScale"] = 100;

$tdatakardex_pago_bio[".nPrinterSplitRecords"] = 40;

$tdatakardex_pago_bio[".geocodingEnabled"] = false;










$tdatakardex_pago_bio[".pageSize"] = 20;

$tdatakardex_pago_bio[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatakardex_pago_bio[".strOrderBy"] = $tstrOrderBy;

$tdatakardex_pago_bio[".orderindexes"] = array();


$tdatakardex_pago_bio[".sqlHead"] = "SELECT id_Pago,  fecha_Pago,  derecho_Propietario,  accionista,  estado,  tipo_pago,  respaldo,  responsable,  fecha_creacion,  observacion,  total_bs,  total_bs_literal,  nro_Acciones,  utilidad_gestion,  id_constitucion,  concat(ci, ' - ', paterno, ' ', materno, ' ', casado, ' ', nombre) AS socio,  gestion,  nro_derecho,  correlativo_pago,  ano";
$tdatakardex_pago_bio[".sqlFrom"] = "FROM pago_dp";
$tdatakardex_pago_bio[".sqlWhereExpr"] = "";
$tdatakardex_pago_bio[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatakardex_pago_bio[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatakardex_pago_bio[".arrGroupsPerPage"] = $arrGPP;

$tdatakardex_pago_bio[".highlightSearchResults"] = true;

$tableKeyskardex_pago_bio = array();
$tableKeyskardex_pago_bio[] = "id_Pago";
$tdatakardex_pago_bio[".Keys"] = $tableKeyskardex_pago_bio;


$tdatakardex_pago_bio[".hideMobileList"] = array();




//	id_Pago
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id_Pago";
	$fdata["GoodName"] = "id_Pago";
	$fdata["ownerTable"] = "pago_dp";
	$fdata["Label"] = GetFieldLabel("kardex_pago_bio","id_Pago");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id_Pago";

		$fdata["sourceSingle"] = "id_Pago";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_Pago";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatakardex_pago_bio["id_Pago"] = $fdata;
		$tdatakardex_pago_bio[".searchableFields"][] = "id_Pago";
//	fecha_Pago
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "fecha_Pago";
	$fdata["GoodName"] = "fecha_Pago";
	$fdata["ownerTable"] = "pago_dp";
	$fdata["Label"] = GetFieldLabel("kardex_pago_bio","fecha_Pago");
	$fdata["FieldType"] = 135;


	
	
			

		$fdata["strField"] = "fecha_Pago";

		$fdata["sourceSingle"] = "fecha_Pago";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fecha_Pago";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

		$edata["ShowTime"] = true;

		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
		$edata["autoUpdatable"] = true;

//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatakardex_pago_bio["fecha_Pago"] = $fdata;
		$tdatakardex_pago_bio[".searchableFields"][] = "fecha_Pago";
//	derecho_Propietario
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "derecho_Propietario";
	$fdata["GoodName"] = "derecho_Propietario";
	$fdata["ownerTable"] = "pago_dp";
	$fdata["Label"] = GetFieldLabel("kardex_pago_bio","derecho_Propietario");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "derecho_Propietario";

		$fdata["sourceSingle"] = "derecho_Propietario";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "derecho_Propietario";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 1;
	$edata["LookupTable"] = "derecho_constitucion";
	$edata["LookupConnId"] = "bsn_dividendos_at_localhost";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_derecho_Propietario";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "Nro_derecho";

	

	
	$edata["LookupOrderBy"] = "";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "id_constitucion", "lookup" => "id_constitucion" );

	
		$edata["SimpleAdd"] = true;


	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatakardex_pago_bio["derecho_Propietario"] = $fdata;
		$tdatakardex_pago_bio[".searchableFields"][] = "derecho_Propietario";
//	accionista
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "accionista";
	$fdata["GoodName"] = "accionista";
	$fdata["ownerTable"] = "pago_dp";
	$fdata["Label"] = GetFieldLabel("kardex_pago_bio","accionista");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "accionista";

		$fdata["sourceSingle"] = "accionista";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "accionista";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 1;
	$edata["LookupTable"] = "derecho_constitucion";
	$edata["LookupConnId"] = "bsn_dividendos_at_localhost";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_Socio";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "accionistas";

	

	
	$edata["LookupOrderBy"] = "";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "id_constitucion", "lookup" => "id_constitucion" );

	
		$edata["SimpleAdd"] = true;


	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatakardex_pago_bio["accionista"] = $fdata;
		$tdatakardex_pago_bio[".searchableFields"][] = "accionista";
//	estado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "estado";
	$fdata["GoodName"] = "estado";
	$fdata["ownerTable"] = "pago_dp";
	$fdata["Label"] = GetFieldLabel("kardex_pago_bio","estado");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "estado";

		$fdata["sourceSingle"] = "estado";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "estado";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "aux";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_aux";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nombre";

				$edata["LookupWhere"] = "valor like 'ESTADO_PAGO'";


	
	$edata["LookupOrderBy"] = "id_aux";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatakardex_pago_bio["estado"] = $fdata;
		$tdatakardex_pago_bio[".searchableFields"][] = "estado";
//	tipo_pago
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "tipo_pago";
	$fdata["GoodName"] = "tipo_pago";
	$fdata["ownerTable"] = "pago_dp";
	$fdata["Label"] = GetFieldLabel("kardex_pago_bio","tipo_pago");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "tipo_pago";

		$fdata["sourceSingle"] = "tipo_pago";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tipo_pago";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "aux";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_aux";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nombre";

				$edata["LookupWhere"] = "valor  like 'TIPO_PAGO'";


	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatakardex_pago_bio["tipo_pago"] = $fdata;
		$tdatakardex_pago_bio[".searchableFields"][] = "tipo_pago";
//	respaldo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "respaldo";
	$fdata["GoodName"] = "respaldo";
	$fdata["ownerTable"] = "pago_dp";
	$fdata["Label"] = GetFieldLabel("kardex_pago_bio","respaldo");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "respaldo";

		$fdata["sourceSingle"] = "respaldo";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "respaldo";

	
	
		$fdata["UploadCodeExpression"] = true;

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Document Download");

	
	
	
								$vdata["ShowIcon"] = true;
				
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Document upload");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = array();
			$edata["acceptFileTypes"][] = strtoupper("pdf");
						$edata["acceptFileTypesHtml"] = ".pdf";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatakardex_pago_bio["respaldo"] = $fdata;
		$tdatakardex_pago_bio[".searchableFields"][] = "respaldo";
//	responsable
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "responsable";
	$fdata["GoodName"] = "responsable";
	$fdata["ownerTable"] = "pago_dp";
	$fdata["Label"] = GetFieldLabel("kardex_pago_bio","responsable");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "responsable";

		$fdata["sourceSingle"] = "responsable";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "responsable";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "sta_rosa_users";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "ID";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "fullname";

				$edata["LookupWhere"] = "ID = ':session.user_id'";


	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
		$edata["autoUpdatable"] = true;

//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatakardex_pago_bio["responsable"] = $fdata;
		$tdatakardex_pago_bio[".searchableFields"][] = "responsable";
//	fecha_creacion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "fecha_creacion";
	$fdata["GoodName"] = "fecha_creacion";
	$fdata["ownerTable"] = "pago_dp";
	$fdata["Label"] = GetFieldLabel("kardex_pago_bio","fecha_creacion");
	$fdata["FieldType"] = 135;


	
	
			

		$fdata["strField"] = "fecha_creacion";

		$fdata["sourceSingle"] = "fecha_creacion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fecha_creacion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

		$edata["ShowTime"] = true;

		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
		$edata["autoUpdatable"] = true;

//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatakardex_pago_bio["fecha_creacion"] = $fdata;
		$tdatakardex_pago_bio[".searchableFields"][] = "fecha_creacion";
//	observacion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "observacion";
	$fdata["GoodName"] = "observacion";
	$fdata["ownerTable"] = "pago_dp";
	$fdata["Label"] = GetFieldLabel("kardex_pago_bio","observacion");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "observacion";

		$fdata["sourceSingle"] = "observacion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "observacion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatakardex_pago_bio["observacion"] = $fdata;
		$tdatakardex_pago_bio[".searchableFields"][] = "observacion";
//	total_bs
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "total_bs";
	$fdata["GoodName"] = "total_bs";
	$fdata["ownerTable"] = "pago_dp";
	$fdata["Label"] = GetFieldLabel("kardex_pago_bio","total_bs");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "total_bs";

		$fdata["sourceSingle"] = "total_bs";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "total_bs";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatakardex_pago_bio["total_bs"] = $fdata;
		$tdatakardex_pago_bio[".searchableFields"][] = "total_bs";
//	total_bs_literal
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "total_bs_literal";
	$fdata["GoodName"] = "total_bs_literal";
	$fdata["ownerTable"] = "pago_dp";
	$fdata["Label"] = GetFieldLabel("kardex_pago_bio","total_bs_literal");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "total_bs_literal";

		$fdata["sourceSingle"] = "total_bs_literal";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "total_bs_literal";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatakardex_pago_bio["total_bs_literal"] = $fdata;
		$tdatakardex_pago_bio[".searchableFields"][] = "total_bs_literal";
//	nro_Acciones
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "nro_Acciones";
	$fdata["GoodName"] = "nro_Acciones";
	$fdata["ownerTable"] = "pago_dp";
	$fdata["Label"] = GetFieldLabel("kardex_pago_bio","nro_Acciones");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "nro_Acciones";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nro_Acciones";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatakardex_pago_bio["nro_Acciones"] = $fdata;
		$tdatakardex_pago_bio[".searchableFields"][] = "nro_Acciones";
//	utilidad_gestion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "utilidad_gestion";
	$fdata["GoodName"] = "utilidad_gestion";
	$fdata["ownerTable"] = "pago_dp";
	$fdata["Label"] = GetFieldLabel("kardex_pago_bio","utilidad_gestion");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "utilidad_gestion";

		$fdata["sourceSingle"] = "utilidad_gestion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "utilidad_gestion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "gestion";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "utilidad_gestion";
	$edata["LinkFieldType"] = 14;
	$edata["DisplayField"] = "utilidad_gestion";

	

	
	$edata["LookupOrderBy"] = "";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "gestion", "lookup" => "id_Gestion" );

	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatakardex_pago_bio["utilidad_gestion"] = $fdata;
		$tdatakardex_pago_bio[".searchableFields"][] = "utilidad_gestion";
//	id_constitucion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "id_constitucion";
	$fdata["GoodName"] = "id_constitucion";
	$fdata["ownerTable"] = "pago_dp";
	$fdata["Label"] = GetFieldLabel("kardex_pago_bio","id_constitucion");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id_constitucion";

		$fdata["sourceSingle"] = "id_constitucion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_constitucion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "constitucion";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_constitucion";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "id_constitucion";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "derecho_Propietario";
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "accionista";

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatakardex_pago_bio["id_constitucion"] = $fdata;
		$tdatakardex_pago_bio[".searchableFields"][] = "id_constitucion";
//	socio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 16;
	$fdata["strName"] = "socio";
	$fdata["GoodName"] = "socio";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("kardex_pago_bio","socio");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "socio";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "concat(ci, ' - ', paterno, ' ', materno, ' ', casado, ' ', nombre)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatakardex_pago_bio["socio"] = $fdata;
		$tdatakardex_pago_bio[".searchableFields"][] = "socio";
//	gestion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 17;
	$fdata["strName"] = "gestion";
	$fdata["GoodName"] = "gestion";
	$fdata["ownerTable"] = "pago_dp";
	$fdata["Label"] = GetFieldLabel("kardex_pago_bio","gestion");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "gestion";

		$fdata["sourceSingle"] = "gestion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "gestion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "gestion";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_Gestion";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "nombre";

	

	
	$edata["LookupOrderBy"] = "id_Gestion";

	
	
	
	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "utilidad_gestion";

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatakardex_pago_bio["gestion"] = $fdata;
		$tdatakardex_pago_bio[".searchableFields"][] = "gestion";
//	nro_derecho
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 18;
	$fdata["strName"] = "nro_derecho";
	$fdata["GoodName"] = "nro_derecho";
	$fdata["ownerTable"] = "pago_dp";
	$fdata["Label"] = GetFieldLabel("kardex_pago_bio","nro_derecho");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "nro_derecho";

		$fdata["sourceSingle"] = "nro_derecho";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nro_derecho";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatakardex_pago_bio["nro_derecho"] = $fdata;
		$tdatakardex_pago_bio[".searchableFields"][] = "nro_derecho";
//	correlativo_pago
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 19;
	$fdata["strName"] = "correlativo_pago";
	$fdata["GoodName"] = "correlativo_pago";
	$fdata["ownerTable"] = "pago_dp";
	$fdata["Label"] = GetFieldLabel("kardex_pago_bio","correlativo_pago");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "correlativo_pago";

		$fdata["sourceSingle"] = "correlativo_pago";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "correlativo_pago";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "pago_corelativo";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 1;

	
		
	$edata["LinkField"] = "Correlativo_pago";
	$edata["LinkFieldType"] = 20;
	$edata["DisplayField"] = "Correlativo_pago";

	

	
	$edata["LookupOrderBy"] = "";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "ano", "lookup" => "nombre" );

	
	

	
	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatakardex_pago_bio["correlativo_pago"] = $fdata;
		$tdatakardex_pago_bio[".searchableFields"][] = "correlativo_pago";
//	ano
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 20;
	$fdata["strName"] = "ano";
	$fdata["GoodName"] = "ano";
	$fdata["ownerTable"] = "pago_dp";
	$fdata["Label"] = GetFieldLabel("kardex_pago_bio","ano");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "ano";

		$fdata["sourceSingle"] = "ano";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ano";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "gestion";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "nombre";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "nombre";

				$edata["LookupWhere"] = "correlativo_pago= 1";


	
	$edata["LookupOrderBy"] = "";

	
	
	
	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "correlativo_pago";

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatakardex_pago_bio["ano"] = $fdata;
		$tdatakardex_pago_bio[".searchableFields"][] = "ano";


$tables_data["kardex_pago_bio"]=&$tdatakardex_pago_bio;
$field_labels["kardex_pago_bio"] = &$fieldLabelskardex_pago_bio;
$fieldToolTips["kardex_pago_bio"] = &$fieldToolTipskardex_pago_bio;
$placeHolders["kardex_pago_bio"] = &$placeHolderskardex_pago_bio;
$page_titles["kardex_pago_bio"] = &$pageTitleskardex_pago_bio;


changeTextControlsToDate( "kardex_pago_bio" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["kardex_pago_bio"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["kardex_pago_bio"] = array();



	
	//if !@t.bReportCrossTab
			$strOriginalDetailsTable="bio-socio";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="bio-socio";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "bio_socio";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["kardex_pago_bio"][0] = $masterParams;
				$masterTablesData["kardex_pago_bio"][0]["masterKeys"] = array();
	$masterTablesData["kardex_pago_bio"][0]["masterKeys"][]="id_Socio";
				$masterTablesData["kardex_pago_bio"][0]["detailKeys"] = array();
	$masterTablesData["kardex_pago_bio"][0]["detailKeys"][]="accionista";
		
	//endif
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_kardex_pago_bio()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id_Pago,  fecha_Pago,  derecho_Propietario,  accionista,  estado,  tipo_pago,  respaldo,  responsable,  fecha_creacion,  observacion,  total_bs,  total_bs_literal,  nro_Acciones,  utilidad_gestion,  id_constitucion,  concat(ci, ' - ', paterno, ' ', materno, ' ', casado, ' ', nombre) AS socio,  gestion,  nro_derecho,  correlativo_pago,  ano";
$proto0["m_strFrom"] = "FROM pago_dp";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
				;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id_Pago",
	"m_strTable" => "pago_dp",
	"m_srcTableName" => "kardex_pago_bio"
));

$proto6["m_sql"] = "id_Pago";
$proto6["m_srcTableName"] = "kardex_pago_bio";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_Pago",
	"m_strTable" => "pago_dp",
	"m_srcTableName" => "kardex_pago_bio"
));

$proto8["m_sql"] = "fecha_Pago";
$proto8["m_srcTableName"] = "kardex_pago_bio";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "derecho_Propietario",
	"m_strTable" => "pago_dp",
	"m_srcTableName" => "kardex_pago_bio"
));

$proto10["m_sql"] = "derecho_Propietario";
$proto10["m_srcTableName"] = "kardex_pago_bio";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "accionista",
	"m_strTable" => "pago_dp",
	"m_srcTableName" => "kardex_pago_bio"
));

$proto12["m_sql"] = "accionista";
$proto12["m_srcTableName"] = "kardex_pago_bio";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "estado",
	"m_strTable" => "pago_dp",
	"m_srcTableName" => "kardex_pago_bio"
));

$proto14["m_sql"] = "estado";
$proto14["m_srcTableName"] = "kardex_pago_bio";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "tipo_pago",
	"m_strTable" => "pago_dp",
	"m_srcTableName" => "kardex_pago_bio"
));

$proto16["m_sql"] = "tipo_pago";
$proto16["m_srcTableName"] = "kardex_pago_bio";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "respaldo",
	"m_strTable" => "pago_dp",
	"m_srcTableName" => "kardex_pago_bio"
));

$proto18["m_sql"] = "respaldo";
$proto18["m_srcTableName"] = "kardex_pago_bio";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "responsable",
	"m_strTable" => "pago_dp",
	"m_srcTableName" => "kardex_pago_bio"
));

$proto20["m_sql"] = "responsable";
$proto20["m_srcTableName"] = "kardex_pago_bio";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_creacion",
	"m_strTable" => "pago_dp",
	"m_srcTableName" => "kardex_pago_bio"
));

$proto22["m_sql"] = "fecha_creacion";
$proto22["m_srcTableName"] = "kardex_pago_bio";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "observacion",
	"m_strTable" => "pago_dp",
	"m_srcTableName" => "kardex_pago_bio"
));

$proto24["m_sql"] = "observacion";
$proto24["m_srcTableName"] = "kardex_pago_bio";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "total_bs",
	"m_strTable" => "pago_dp",
	"m_srcTableName" => "kardex_pago_bio"
));

$proto26["m_sql"] = "total_bs";
$proto26["m_srcTableName"] = "kardex_pago_bio";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "total_bs_literal",
	"m_strTable" => "pago_dp",
	"m_srcTableName" => "kardex_pago_bio"
));

$proto28["m_sql"] = "total_bs_literal";
$proto28["m_srcTableName"] = "kardex_pago_bio";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "nro_Acciones",
	"m_strTable" => "pago_dp",
	"m_srcTableName" => "kardex_pago_bio"
));

$proto30["m_sql"] = "nro_Acciones";
$proto30["m_srcTableName"] = "kardex_pago_bio";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "utilidad_gestion",
	"m_strTable" => "pago_dp",
	"m_srcTableName" => "kardex_pago_bio"
));

$proto32["m_sql"] = "utilidad_gestion";
$proto32["m_srcTableName"] = "kardex_pago_bio";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
						$proto34=array();
			$obj = new SQLField(array(
	"m_strName" => "id_constitucion",
	"m_strTable" => "pago_dp",
	"m_srcTableName" => "kardex_pago_bio"
));

$proto34["m_sql"] = "id_constitucion";
$proto34["m_srcTableName"] = "kardex_pago_bio";
$proto34["m_expr"]=$obj;
$proto34["m_alias"] = "";
$obj = new SQLFieldListItem($proto34);

$proto0["m_fieldlist"][]=$obj;
						$proto36=array();
			$proto37=array();
$proto37["m_functiontype"] = "SQLF_CUSTOM";
$proto37["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "ci"
));

$proto37["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "' - '"
));

$proto37["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "paterno"
));

$proto37["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "' '"
));

$proto37["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "materno"
));

$proto37["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "' '"
));

$proto37["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "casado"
));

$proto37["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "' '"
));

$proto37["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "nombre"
));

$proto37["m_arguments"][]=$obj;
$proto37["m_strFunctionName"] = "concat";
$obj = new SQLFunctionCall($proto37);

$proto36["m_sql"] = "concat(ci, ' - ', paterno, ' ', materno, ' ', casado, ' ', nombre)";
$proto36["m_srcTableName"] = "kardex_pago_bio";
$proto36["m_expr"]=$obj;
$proto36["m_alias"] = "socio";
$obj = new SQLFieldListItem($proto36);

$proto0["m_fieldlist"][]=$obj;
						$proto47=array();
			$obj = new SQLField(array(
	"m_strName" => "gestion",
	"m_strTable" => "pago_dp",
	"m_srcTableName" => "kardex_pago_bio"
));

$proto47["m_sql"] = "gestion";
$proto47["m_srcTableName"] = "kardex_pago_bio";
$proto47["m_expr"]=$obj;
$proto47["m_alias"] = "";
$obj = new SQLFieldListItem($proto47);

$proto0["m_fieldlist"][]=$obj;
						$proto49=array();
			$obj = new SQLField(array(
	"m_strName" => "nro_derecho",
	"m_strTable" => "pago_dp",
	"m_srcTableName" => "kardex_pago_bio"
));

$proto49["m_sql"] = "nro_derecho";
$proto49["m_srcTableName"] = "kardex_pago_bio";
$proto49["m_expr"]=$obj;
$proto49["m_alias"] = "";
$obj = new SQLFieldListItem($proto49);

$proto0["m_fieldlist"][]=$obj;
						$proto51=array();
			$obj = new SQLField(array(
	"m_strName" => "correlativo_pago",
	"m_strTable" => "pago_dp",
	"m_srcTableName" => "kardex_pago_bio"
));

$proto51["m_sql"] = "correlativo_pago";
$proto51["m_srcTableName"] = "kardex_pago_bio";
$proto51["m_expr"]=$obj;
$proto51["m_alias"] = "";
$obj = new SQLFieldListItem($proto51);

$proto0["m_fieldlist"][]=$obj;
						$proto53=array();
			$obj = new SQLField(array(
	"m_strName" => "ano",
	"m_strTable" => "pago_dp",
	"m_srcTableName" => "kardex_pago_bio"
));

$proto53["m_sql"] = "ano";
$proto53["m_srcTableName"] = "kardex_pago_bio";
$proto53["m_expr"]=$obj;
$proto53["m_alias"] = "";
$obj = new SQLFieldListItem($proto53);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto55=array();
$proto55["m_link"] = "SQLL_MAIN";
			$proto56=array();
$proto56["m_strName"] = "pago_dp";
$proto56["m_srcTableName"] = "kardex_pago_bio";
$proto56["m_columns"] = array();
$proto56["m_columns"][] = "id_Pago";
$proto56["m_columns"][] = "fecha_Pago";
$proto56["m_columns"][] = "derecho_Propietario";
$proto56["m_columns"][] = "accionista";
$proto56["m_columns"][] = "estado";
$proto56["m_columns"][] = "tipo_pago";
$proto56["m_columns"][] = "respaldo";
$proto56["m_columns"][] = "responsable";
$proto56["m_columns"][] = "fecha_creacion";
$proto56["m_columns"][] = "observacion";
$proto56["m_columns"][] = "total_bs";
$proto56["m_columns"][] = "total_bs_literal";
$proto56["m_columns"][] = "nro_Acciones";
$proto56["m_columns"][] = "utilidad_gestion";
$proto56["m_columns"][] = "id_constitucion";
$proto56["m_columns"][] = "gestion";
$proto56["m_columns"][] = "correlativo";
$proto56["m_columns"][] = "ci";
$proto56["m_columns"][] = "nombre";
$proto56["m_columns"][] = "paterno";
$proto56["m_columns"][] = "materno";
$proto56["m_columns"][] = "casado";
$proto56["m_columns"][] = "procedencia";
$proto56["m_columns"][] = "complemento";
$proto56["m_columns"][] = "nro_derecho";
$proto56["m_columns"][] = "correlativo_pago";
$proto56["m_columns"][] = "ano";
$proto56["m_columns"][] = "totol_decimal";
$obj = new SQLTable($proto56);

$proto55["m_table"] = $obj;
$proto55["m_sql"] = "pago_dp";
$proto55["m_alias"] = "";
$proto55["m_srcTableName"] = "kardex_pago_bio";
$proto57=array();
$proto57["m_sql"] = "";
$proto57["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto57["m_column"]=$obj;
$proto57["m_contained"] = array();
$proto57["m_strCase"] = "";
$proto57["m_havingmode"] = false;
$proto57["m_inBrackets"] = false;
$proto57["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto57);

$proto55["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto55);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="kardex_pago_bio";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_kardex_pago_bio = createSqlQuery_kardex_pago_bio();


	
				;

																				

$tdatakardex_pago_bio[".sqlquery"] = $queryData_kardex_pago_bio;



include_once(getabspath("include/kardex_pago_bio_events.php"));
$tdatakardex_pago_bio[".hasEvents"] = true;

?>